@echo OFF

if not "%JAVA_HOME%" == "" goto CONT2
echo . ==================================================
echo .
echo . Please, set JAVA_HOME before running this script.
echo .
echo . ==================================================
goto END
:CONT2

if EXIST "%JAVA_HOME%\bin\java.exe" goto CONT3
echo . ==================================================
echo .
echo . Please, set JAVA_HOME to the path of a valid jdk.
echo .
echo . ==================================================
goto END
:CONT3

if EXIST "bin\install.cmd" goto CONT4
echo . ===================================================================
echo .
echo . Please, run this script from the Funambol DS Server home directory
echo .
echo . ===================================================================
goto END
:CONT4

if not "%J2EE_HOME%" == "" goto CONT5
echo . ==================================================
echo .
echo . Please, set J2EE_HOME before running this script.
echo .
echo . ==================================================
goto END
:CONT5

if /i "%1" == "jboss30"    goto CHECKJBOSS
if /i "%1" == "jboss32"    goto CHECKJBOSS
if /i "%1" == "jboss40"    goto CHECKJBOSS
if /i "%1" == "tomcat50"   goto CHECKTOMCAT
if /i "%1" == "weblogic9"  goto WEBLOGIC
if /i "%1" == "websphere6" goto WEBSPHERE

echo . ====================================================================
echo .
echo . Please, specify target application sever.
echo . Syntax:
echo .     install [jboss30/jboss32/jboss40/tomcat50/weblogic9/websphere6]
echo .
echo . ====================================================================
goto END:


:CHECKJBOSS
if EXIST "%J2EE_HOME%\bin\run.bat" goto JBOSS
echo ERROR: Please, set J2EE_HOME to the path of a valid JBoss installation.
goto END

:CHECKTOMCAT
if EXIST "%J2EE_HOME%\bin\catalina.bat" goto TOMCAT
echo ERROR: Please, set J2EE_HOME to the path of a valid Tomcat installation.
goto END

:JBOSS
:TOMCAT
:WEBLOGIC
:WEBSPHERE

set ANT_HOME=
set APPSRV=%1

set CLASSPATH=lib\funambol-clientframework.jar

call ant\bin\ant -Ddo.install-modules-only=true -Ddo.install-db=true -buildfile install\install.xml -q install

:END
