/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.config;

/**
 * This interface groups configuration related constants.
 *
 *
 * @version $Id: ConfigurationConstants.java,v 1.2 2006/08/07 21:09:27 nichele Exp $
 */
public interface ConfigurationConstants {
    public static final String CONFIG_PATH                      = java.io.File.separator + "config";
    public static final String PROPERTY_SYSTEM_FUNAMBOL_DS_HOME = "funambol.ds.home";
    public static final String BEAN_SERVER_CONFIGURATION        = "Funambol.xml";
}
