/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.logging;

/**
 * Contains the name of the logger used in Funambol
 *
 * @version $Id: Sync4jLoggerName.java,v 1.3 2006/08/07 21:09:30 nichele Exp $
 */
public interface Sync4jLoggerName {

    public static final String TRANSPORT_HTTP         = "transport.http"        ;
    public static final String HANDLER                = "handler"               ;
    public static final String ENGINE                 = "engine"                ;
    public static final String FRAMEWORK_ENGINE       = "framework.engine"      ;
    public static final String SERVER_ADMIN           = "server.admin"          ;
    public static final String TEST_TOOLS_POST_SYNCML = "test.tools.PostSyncML" ;
    public static final String LOG_SQL                = "log.sql"               ;
    public static final String SOURCE                 = "source"                ;
    public static final String SERVER_NOTIFICATION    = "server.notification"   ;
}
