/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */


package com.funambol.framework.protocol;

import com.funambol.framework.core.Sync4jException;


/**
 * Represents an error in the SyncML protocol flow
 *
 *
 * @version $Id: ProtocolException.java,v 1.2 2006/08/07 21:09:31 nichele Exp $
 */
public class ProtocolException extends Sync4jException {

    /** Creates a new instance of ProtocolException */
    public ProtocolException(String msg) {
        super(msg);
    }

    public ProtocolException(String msg, Object[] params) {
        super(msg, params);
    }

    public ProtocolException(Throwable cause) {
        super(cause);
    }

    public ProtocolException(String msg, Throwable cause) {
        super(msg, cause);
    }

}
