/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.framework.tools;

import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;

/**
 * Container of utility methods for db access
 *
 *
 * @version $Id: DBTools.java,v 1.2 2006/08/07 21:13:14 nichele Exp $
 */
public class DBTools {
    
    static public void close(Connection c, Statement s, ResultSet r) {
        try {
            if (r != null) r.close();
        } catch (Exception e) {}
        try {
            if (s != null) s.close();
        } catch (Exception e) {}
        try {
            if (c != null) c.close();
        } catch (Exception e) {}
    } 
}